name: CTA Button
description: Display a Call-to-action button.
type: particle

configuration:
  caching:
    type: static

form:
  fields:
    enabled:
      type: input.checkbox
      label: Enabled
      description: Globally enable Call-to-action particles.
      default: true

    style:
      type: select.select
      label: Style
      description: Select the style which defines the particle layout on the frontend.
      placeholder: 'Select...'
      default: style1
      options:
        style1: Style 1
        style2: Style 2

    title:
      type: input.text
      label: Title
      description: Type in the title text.
      placeholder: Enter title

    description:
      type: textarea.textarea
      label: Description
      description: Type in the description text.
      placeholder: Enter description

    link:
      type: input.text
      label: Button Link
      description: Type in the URL.

    buttontext:
      type: input.text
      label: Button Text
      description: Type in the button text.

    buttonicon:
      type: input.icon
      label: Button Icon
      description: Select an icon for the button.

    target:
      type: select.select
      label: Target
      description: Target browser window when item is clicked.
      placeholder: 'Select...'
      default: _parent
      options:
          _parent: Self
          _blank: New Window

    css.class:
      type: input.selectize
      label: CSS Classes
      description: CSS class name for the particle.
      default: 

    extra:
      type: collection.keyvalue
      label: Tag Attributes
      description: Extra Tag attributes.
      key_placeholder: Key (data-*, style, ...)
      value_placeholder: Value
      exclude: ['id', 'class']